Skip to main content

Create Lead Appointment: Resman

POSThttps://api.propexo.com/v1/events/appointments/leads/resman/

ResMan interprets the appointment date and time as being UTC (offset of +00:00). The appointment date and time will be displayed in the timezone of the logged in user (not the property or portfolio account) in ResMan's portal.

InterfaceMethod
Lead Management/MITS/PostLeadManagement4_0
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    unit_idstring

    The Propexo unique identifier for the unit

    appointment_datestringrequired

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location.

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    notesstring

    Notes associated with the event

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lead_idstringrequired

    The Propexo unique identifier for the lead

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    appointment_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestringrequired

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location.

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    notesstring | nullnullablerequired

    Notes associated with the event

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/appointments/leads/resman/
curl -X POST https://api.propexo.com/v1/events/appointments/leads/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lead_id": "string",
"lead_source_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lead_id": "string",
"lead_source_id": "string",
"unit_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"notes": "string"
}
}